Bug 55532 - LibreOffice use only 8 bit colors although client is 32 bit colors depth capable over MS RDP
Summary: LibreOffice use only 8 bit colors although client is 32 bit colors depth capa...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.6.1.2 release
Hardware: x86 (IA32) Windows (All)
: low trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Remote
  Show dependency treegraph
 
Reported: 2012-10-02 12:10 UTC by Rafał Ramocki
Modified: 2022-06-05 03:40 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot showing Writer over Remote Desktop (94.05 KB, image/jpeg)
2012-10-02 12:10 UTC, Rafał Ramocki
Details
Attachment with correct mime type (94.05 KB, image/jpeg)
2012-10-02 12:12 UTC, Rafał Ramocki
Details
Screenshot on W2K8R2 RDP (84.40 KB, image/png)
2014-11-12 08:52 UTC, Thomas Hooge
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rafał Ramocki 2012-10-02 12:10:39 UTC
Created attachment 67988 [details]
Screenshot showing Writer over Remote Desktop

When connectiong any client (windows or linux) to Windows Terminal Server running on top of Windows 2008 or 2008R2 (maybe other versions) background of toolbar icons and menu icons looks like in 8-bit color palette. When trying to use italic text it is obvious, that font anti-aliasing dosn't work also. Generaly it looks like LibreOffice thinks that it can use only 8 bit colors but clitent is 32bit color depth capable. I'm attaching screenshot that ilustrates the problem.

I've tried:
Libre Office 3.6.2 (screenshots)
Libre Office 3.5
Open Office 3.3
Comment 1 Rafał Ramocki 2012-10-02 12:12:05 UTC
Created attachment 67989 [details]
Attachment with correct mime type
Comment 2 bfoman (inactive) 2013-03-15 14:15:28 UTC
Is this still an issue in the latest stable release? Could you check other icon styles (Tools>View>User Interface)?
Comment 3 Rafał Ramocki 2013-03-16 07:28:48 UTC
bugzilla-daemon@freedesktop.org wrote:
> bfoman <mailto:bfo.bugmail@spamgourmet.com> changed bug 55532 
> <https://bugs.freedesktop.org/show_bug.cgi?id=55532>
> What 	Removed 	Added
> CC 		bfo.bugmail@spamgourmet.com
>
> *Comment # 2 <https://bugs.freedesktop.org/show_bug.cgi?id=55532#c2> 
> on bug 55532 <https://bugs.freedesktop.org/show_bug.cgi?id=55532> from 
> bfoman <mailto:bfo.bugmail@spamgourmet.com> *
> Is this still an issue in the latest stable release? Could you check other icon
> styles (Tools>View>User Interface)?
I confirm. Bug stil exists in 4.0.1. Changing icon scheme in Tools-> 
Options -> LibreOffice -> View dosn't change anything about this 
problem. All icons looks like 8bit.
Comment 4 bfoman (inactive) 2013-03-22 12:43:47 UTC
Changed Summary.
Comment 5 retired 2014-06-27 20:40:44 UTC
So is this not the case using OpenOffice?

Can you post a screenshot of that?

Also does this persist with LO 4.3RC1?
http://www.libreoffice.org/download/pre-releases/
Comment 6 Thomas Hooge 2014-11-12 08:51:02 UTC
I confirm this on Libreoffice 4.3.3.2
Comment 7 Thomas Hooge 2014-11-12 08:52:04 UTC
Created attachment 109328 [details]
Screenshot on W2K8R2 RDP
Comment 8 Buovjaga 2014-11-27 12:18:45 UTC
Comment 7 has confirmation, so setting to NEW. Lowering priority per https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg
Comment 9 QA Administrators 2015-12-20 16:19:34 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2017-01-03 19:50:41 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2020-06-04 03:44:04 UTC Comment hidden (obsolete)
Comment 12 QA Administrators 2022-06-05 03:40:50 UTC
Dear Rafał Ramocki,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug